## Run Length Encoding

## Usage

    rle(x)

## Arguments

`x` | a vector.

## Description

Compute the lengths and values of runs of equal values in a vector.

## Value

A list with components

`lengths` | a vector containing the length of each run.
`values` | a vector of the same length as `lengths` with the corresponding values.

## Examples

    x <- rev(rep(6:10, 1:5))
    rle(x)
    ## $lengths
    ## [1] 5 4 3 2 1
    ## $values
    ## [1] 10  9  8  7  6

[Package Contents]